import { Helmet } from 'react-helmet-async'

import MainArea from '@/components/layout/MainArea'
import { SITE_TITLE } from '@/config'


export default () => (
    <MainArea>
      <Helmet>
        <meta name="robots" content="noindex" />
        <title>ページないよ (笑) | {SITE_TITLE}</title>
      </Helmet>
      Not Found
    </MainArea>)
